      SUBROUTINE LEGUV(PLN,PLNWCS,DER,EPS)
      DIMENSION PLNWCS( 17 , 17 ),
     1             DER( 17 , 17 ),
     2             PLN( 18 , 17 )
CJPB  REAL*8 EPS( 18 , 17 )
      DOUBLE PRECISION EPS( 18 , 17 )
      DO 3 LL=1, 17
      N=LL-1
      DER(1,LL)=- 6370000. *EPS(2,LL)*PLN(2,LL)/LL
      PLNWCS(1,LL)= 6370000. *PLN(1,LL)/LL
      DO 2 I=2, 17
      N=N+1
      DER(I,LL)=EPS(I,LL)*PLN(I-1,LL)/N-EPS(I+1,LL)*PLN(I+1,LL)/(N+1.)
      DER(I,LL)= 6370000. *DER(I,LL)
      PLNWCS(I,LL)=(LL-1.)*PLN(I,LL)* 6370000. /(N*N+N)
2     CONTINUE
3     CONTINUE
      RETURN
      END
